#!/bin/sh

if [ $1 = "PM2.5" ]; then
  curl -s http://{$2}/values | egrep -o '<tr>.*?</tr>' | sed 's#</tr>#\n#g' | grep 'PM2.5' | sed 's#.*>\([0-9]*\.[0-9]*\).*#\1#g'
fi

if [ $1 = "PM10" ]; then
  curl -s http://{$2}/values | egrep -o '<tr>.*?</tr>' | sed 's#</tr>#\n#g' | grep 'PM10' | sed 's#.*>\([0-9]*\.[0-9]*\).*#\1#g'
fi

if [ $1 = "temp" ]; then
  curl -s http://{$2}/values | egrep -o '<tr>.*?</tr>' | sed 's#</tr>#\n#g' | grep 'Temperatur' | sed 's#.*>\(\-\?[0-9]*\.[0-9]*\).*#\1#g'
fi

if [ $1 = "humidity" ]; then
  curl -s http://{$2}/values | egrep -o '<tr>.*?</tr>' | sed 's#</tr>#\n#g' | grep 'rel. Luftfeuchte' | sed 's#.*>\([0-9]*\.[0-9]*\).*#\1#g'
fi

if [ $1 = "RSSI" ]; then
  curl -s http://{$2}/values | egrep -o '<tr>.*?</tr>' | sed 's#</tr>#\n#g' | grep 'Signal' | sed 's#.*>\(-[0-9]*\).*#\1#g'
fi

if [ $1 = "quality" ]; then
  curl -s http://{$2}/values | egrep -o '<tr>.*?</tr>' | sed 's#</tr>#\n#g' | grep 'Qualit' | sed 's#.*>\([0-9][0-9]\).*#\1#g'
fi

